KnechtRootRechtKnechtRootRecht MemberComments: 1 Received thanks: 0 Member since: January 10 edited January 10

Das war jetzt nicht meine erste SW6 Instanz welche ich installiert habe, aber bei dieser hier funktioniert gar nichts mehr.
Grund für diese Installation war, dass ein zuvor migrierter Shop einige Fehler in den Artikeln aufwieß. Zb. hatten ALLE Artikel eine Preisstaffel (von 1 bis 1) welche angezeigt wurde. Manche Artikel nicht in den Warenkorb gelegt wurden konnten usw.. Anscheind wurde hier die Preis-Regel verhunzt.

Nach der Installation alles eingerichtet (Verschiedene Wege versucht: Migrationsumgebung, eigene Shopdomain), aber ich kann keine Plugins (Migrationsassistent) installieren. Fehlermeldung:

Return value of Symfony\Component\Process\Process::close() must be of the type int, null returned

Angemeldet mit Shopware-Account bin ich bei den Plugins. 

Desweiteren frage ich mich was der Shopware-Installer in meinem Root-Verzeichnis auf dem Server möchte:

AH01071: Got error 'PHP message: PHP Warning: fileinode(): open_basedir restriction in effect. File(/) is not within the allowed path(s):
referer: https://tld.de/recovery/install/index.php/requirements/?language=de

Ich habe selbst versucht eine ältere Version (3.3.1) zu installieren, überall das selbe Problem. 

Apache + PHP-FPM 7.4/7.3 (beide versucht)
Mariadb 10.5.8 (zuvor 10.4) aber da wurde die installation mit einer "undefined"-Response abgebrochen.
Auch im Debug-Modus steht zwar im Symfony Debug-Profiler der Fehlgeschlagene Ajax-Call drin, aber kein Protokoll dazu

Dann hatte ich noch im Error-Log folgendes stehen:

AH01071: Got error 'PHP message: PHP Fatal error: Uncaught Error: Class 'ComposerAutoloaderInit18f719e8e7686ca88d8d3b69db109eb6' not found vendor/autoload.php:7

Was ich aber durch composer neu generieren ließ. (Keine Veränderung)
Laut Installer-Requirements ist alles erfüllt.

Sign In or Register to comment.